package _06_综合练习;

import java.util.Random;

public class Test2 {
    public static void main(String[] args) {
        /* *
         * 基本数据类型中: 字符char
         * char 取值范围 ASCII 决定
         *
         * 验证码: 前四位是字母(大写小写) 最后一位 随机数字
         * 思路:
         * 1 提前先把小写a-z 和大写A-Z 先放到数组当中
         * char[] chs = new char[52];
         * 把a-z 和A-Z 存放到字符数组中
         * String code = "";
         * 2 fori 4 次
         *    randomdex = 创建一个随机index ,random.next(chs.length);
         *    根据randomIndex 上字符数组当中获取字符char  x  A  B c
         *    code和字符进行拼接
         * 3 已经得了前4位字符验证码
         * 4 拼接最后数字就可以了
         * 最后一位: random.nextInt(10);
         */
        char[] chars = new char[52];
        for (int i = 0; i < chars.length; i++) {
            // 如果i <= 25
            if(i<=25){
                chars[i] = (char) (97 + i);
            }else{
                chars[i] = (char) (65 + i - 26);
            }
        }
        // 拼接前4位验证码
        String code = "";
        Random random = new Random();
        for (int i = 0; i < 4; i++) {
            // 上字符数组中随机获取索引
            int randomIndex = random.nextInt(chars.length);
            // 拼接验证码 拼接4次
            code += chars[randomIndex];
        }
        // 拼接数字
        code += random.nextInt(10);
        System.out.println(code);
    }
}
